package io.renren.modules.app.service.impl;

import java.util.ArrayList;
import java.util.List;

import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.service.impl.ServiceImpl;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;

import io.renren.modules.app.dao.XqxxSelectDao;
import io.renren.modules.app.entity.FhmxzEntity;
import io.renren.modules.app.entity.XqxxSelectEntity;
import io.renren.modules.app.entity.YwpzEntity;
import io.renren.modules.app.service.XqxxSelectService;

@Service("xqxxSelectService")
public class XqxxSelectServiceImpl extends ServiceImpl<XqxxSelectDao, XqxxSelectEntity> implements XqxxSelectService {

	/**
	 * 小区信息查询
	 * * @param pageNum
	 * @param pageSize
	 * @param map
	 * @return
	 */
	@Override
	public PageInfo<XqxxSelectEntity> selectXqxxByPage(Integer pageNum, Integer pageSize,
			XqxxSelectEntity xqxxSelectEntity) {
		PageHelper.startPage(pageNum, pageSize);
		if (xqxxSelectEntity.getXqbm().equals("")) {
			xqxxSelectEntity.setXqbm(null);
		}else if (xqxxSelectEntity.getDwbm().equals("")) {
			xqxxSelectEntity.setDwbm(null);
		}
		List<XqxxSelectEntity> list = baseMapper.selectXqxx(xqxxSelectEntity);
		PageInfo<XqxxSelectEntity> pageInfo = new PageInfo<XqxxSelectEntity>(list);
		return pageInfo;
	}

}
